
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "darksky_ruby_client/version"

Gem::Specification.new do |spec|
  spec.name          = "darksky_ruby_client"
  spec.version       = DarkskyRubyClient::VERSION
  spec.authors       = ["appcot"]
  spec.email         = ["appcot.2013@gmail.com"]

  spec.summary       = %q{DarkSky Ruby Client}
  spec.description   = %q{This Client for more convenient use of the DarkSky API.}
  spec.homepage      = "https://github.com/appcot/darksky_ruby_client"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport", "~> 5.1"
  spec.add_dependency "typhoeus", "~> 1.3"

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "vcr"
end
